Retrieves an ESA channel version for a specified ESA channel
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| esaChannelId | The ESA channel identifier | integer (int32) | Required |
| versionId | The ESA channel version identifier | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EsaChannelVersionResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| beginDate | Date and time that this channel version is valid from. The valid period is exclusive of the beginDate. | string (date-time) | ||||||||||||
| channelVersionId | The channel version identifier | integer (int32) | ||||||||||||
| endDate | Date and time that this channel version is valid until. The valid period is inclusive of the endDate. | string (date-time) | ||||||||||||
| formula | The formula that should be used in calculated channels. | string | ||||||||||||
| isValuePositive | Indicates if the channel final value is always positive | boolean | ||||||||||||
| maximumReading | The channel’s maximum reading | number (double) | ||||||||||||
| minimumReading | The channel’s minimum reading | number (double) | ||||||||||||
| multiplier | The channel multiplier | number (double) | ||||||||||||
| observationRule | ObservationRule | |||||||||||||
|
ObservationRule properties
|
||||||||||||||
| offset | The channel offset | number (double) | ||||||||||||
| resolvedFormula | Formula, but with the input Channels and Meters referenced by ChannelInfo (name) instead of by ID. | string | ||||||||||||
| rollbackAllowance | The channel’s roll back allowance | number (double) | ||||||||||||
| rolloverValue | The channel’s rollover value | number (double) | ||||||||||||
| unit | UnitChild | |||||||||||||
|
UnitChild properties
|
||||||||||||||
Example Response
{ "beginDate": "2026-03-30", "channelVersionId": 1, "endDate": "2026-03-30", "formula": "string", "isValuePositive": false, "maximumReading": 1.0, "minimumReading": 1.0, "multiplier": 1.0, "observationRule": { "observationRuleCode": "string", "observationRuleId": 1, "observationRuleInfo": "string"
}, "offset": 1.0, "resolvedFormula": "string", "rollbackAllowance": 1.0, "rolloverValue": 1.0, "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}